<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Simulatore contabilità
 *
 * @package    mod_mtcontabilita
 * @copyright  2026 Mediatouch 2000 Srl <https://www.mediatouch.it>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @author     Marco Cappuccio <m.cappuccio@mediatouch.it>
 */

defined('MOODLE_INTERNAL') || die();

require_once($CFG->libdir.'/formslib.php');
require_once($CFG->dirroot . '/user/editlib.php');

/**
 * step1_form class
 */
class step1_form extends moodleform {

    /**
     * definition
     */
    public function definition() {
        $mform = $this->_form;
        $data    = $this->_customdata['data'];

        $mform->addElement('hidden', 'id');
        $mform->setType('id', PARAM_INT);

        $mform->addElement('filepicker', 'userfile', get_string('file'));
        $mform->addRule('userfile', null, 'required');

        $mform->addElement('hidden', 'delimiter_name');
        $mform->setDefault('delimiter_name', 'semicolon');
        $mform->setType('delimiter_name', PARAM_RAW);

        $mform->addElement('hidden', 'encoding');
        $mform->setDefault('encoding', 'UTF-8');
        $mform->setType('encoding', PARAM_RAW);

        $mform->addElement('hidden', 'previewrows');
        $mform->setDefault('previewrows', '10');
        $mform->setType('previewrows', PARAM_INT);

        $this->add_action_buttons(false, get_string('continue'));
        $this->set_data($data);
    }
}
